Page MenuHomePhabricator

[betalabs] Regression: asynchronous update for cross-wiki notifications
Closed, ResolvedPublic

Description

Easier to explain with a totally new user.

  1. As a new user login into two different wikis - e.g. enwiki and cawiki.
  2. The notifications count will be in exact match between two wikis. 'Welcome' notification will be displayed as the Alert from enwiki in cawiki and, of course, in enwiki - correct behavior.
  3. Generate some notifications for the in enwiki - the number of notifications will be correctly calculated and displayed in enwiki, but not in cawiki.

The counter does not get updated. Not on refreshing the page and not upon log out/log in. Marking notifications as read in enwiki will trigger all kinds of odd counter states:

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : REL1_27Use global user ID in global cache keys
mediawiki/extensions/Echo : masterUse global user ID in global cache keys

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2016, 9:41 PM
Restricted Application added a project: Security. · View Herald TranscriptMay 5 2016, 9:42 PM
csteipp added a subscriber: csteipp.May 5 2016, 9:51 PM

Was this made a security issue on purpose? I noticed the order of the "Create Task" dropdown in Phab changed yesterday, so I'm wondering if this was by accident...

I'm not seeing the security impact, if this was intentional, so maybe I need a better explanation of the problem in that case.

Krenair added a subscriber: Krenair.

re-adding security tag while this has a non-public visibility policy

This is not a security issue, I see no reason this task shouldn't be made public.

Catrope claimed this task.May 6 2016, 12:09 AM
Catrope removed a project: Security.
Catrope changed the visibility from "Custom Policy" to "Public (No Login Required)".
Catrope changed Security from Software security bug to None.
Catrope added a project: Notifications.
Catrope moved this task from Untriaged to Needs Review on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 287153 had a related patch set uploaded (by Catrope):
Use global user ID in global cache keys

https://gerrit.wikimedia.org/r/287153

csteipp removed a subscriber: csteipp.May 6 2016, 3:44 PM

Change 287153 merged by jenkins-bot:
Use global user ID in global cache keys

https://gerrit.wikimedia.org/r/287153

Checked in betalabs - all counts are correct.

jmatazzoni closed this task as Resolved.May 12 2016, 5:47 PM

Change 295112 had a related patch set uploaded (by Catrope):
Use global user ID in global cache keys

https://gerrit.wikimedia.org/r/295112

Change 295112 merged by Catrope:
Use global user ID in global cache keys

https://gerrit.wikimedia.org/r/295112